Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(5)

Issue 2894913003: [TTS] Move Ranker logging to inference time. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 month ago by Donn Denman
Modified:
3 weeks, 1 day ago
Reviewers:
Theresa
CC:
chromium-reviews, twellington+watch_chromium.org, mdjones+watch_chromium.org, donnd+watch_chromium.org, asvitkine+watch_chromium.org, agrieve+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

[TTS] Move Ranker logging to inference time. Changes logging of Ranker features to make sure they are done at inference-time or beforehand, instead of allowing them to be done after inference. Logging of outcomes can be done at any time. Adds a queue for all the features so they can all be logged at the same time, or the logging can easily be aborted at the last minute. Updates handling of before-scroll to have a configurable pause to allow scrolling after a Tap has been recognized. Before-scroll is no longer considered a Ranker-feature: It's handled by the normal detection of any action that can dismiss the panel during the time between a tap and showing the UI. Updates UKM feature-names from all-caps to camelcase. Removes the Before-scroll feature from Ranker logging through UKM. Also remove some leftover Blacklist code that's no longer needed. BUG=721588 Review-Url: https://codereview.chromium.org/2894913003 Cr-Commit-Position: refs/heads/master@{#476021} Committed: https://chromium.googlesource.com/chromium/src/+/0a8618b26560b57be00a6d18e0af01aeac89681f

Patch Set 1 #

Patch Set 2 : Fix some asserts and minor cleanup. #

Total comments: 12

Patch Set 3 : Just a rebase #

Patch Set 4 : Removed logging of Ranker outcome from UMA and histograms.xml, addressed Theresa's other comments. #

Patch Set 5 : Just changed ContextualSearchSelectionController.java. #

Patch Set 6 : Rebase only. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+264 lines, -119 lines) Patch
M chrome/android/java/src/org/chromium/chrome/browser/compositor/bottombar/contextualsearch/ContextualSearchPanelMetrics.java View 1 2 3 6 chunks +24 lines, -36 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/contextualsearch/BarOverlapTapSuppression.java View 1 chunk +2 lines, -1 line 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/contextualsearch/ContextualSearchFieldTrial.java View 1 4 chunks +19 lines, -11 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/contextualsearch/ContextualSearchHeuristic.java View 1 2 1 chunk +8 lines, -0 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/contextualsearch/ContextualSearchHeuristics.java View 1 2 2 chunks +11 lines, -1 line 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/contextualsearch/ContextualSearchManager.java View 1 2 7 chunks +47 lines, -8 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/contextualsearch/ContextualSearchRankerLogger.java View 1 4 chunks +23 lines, -4 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/contextualsearch/ContextualSearchRankerLoggerImpl.java View 1 2 3 4 chunks +107 lines, -43 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/contextualsearch/ContextualSearchSelectionController.java View 1 2 3 4 2 chunks +12 lines, -6 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/contextualsearch/ContextualSearchSelectionHandler.java View 1 chunk +2 lines, -1 line 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/contextualsearch/CtrSuppression.java View 1 chunk +4 lines, -4 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/contextualsearch/NearTopTapSuppression.java View 1 chunk +1 line, -1 line 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/contextualsearch/QuickAnswersHeuristic.java View 1 2 1 chunk +3 lines, -2 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/contextualsearch/RecentScrollTapSuppression.java View 1 chunk +1 line, -1 line 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 25 (14 generated)
Donn Denman
Theresa, PTAL at your leisure.
1 month ago (2017-05-23 22:10:48 UTC) #7
Theresa
https://codereview.chromium.org/2894913003/diff/20001/chrome/android/java/src/org/chromium/chrome/browser/compositor/bottombar/contextualsearch/ContextualSearchPanelMetrics.java File chrome/android/java/src/org/chromium/chrome/browser/compositor/bottombar/contextualsearch/ContextualSearchPanelMetrics.java (right): https://codereview.chromium.org/2894913003/diff/20001/chrome/android/java/src/org/chromium/chrome/browser/compositor/bottombar/contextualsearch/ContextualSearchPanelMetrics.java#newcode104 chrome/android/java/src/org/chromium/chrome/browser/compositor/bottombar/contextualsearch/ContextualSearchPanelMetrics.java:104: ContextualSearchUma.logContextualCardsResultsSeen(mWasSearchContentViewSeen); I think ideally we would send some sort ...
3 weeks, 2 days ago (2017-05-30 20:25:25 UTC) #8
Donn Denman
Theresa, PTAL. Note that you must have reviewed a slightly stale version of this patch ...
3 weeks, 2 days ago (2017-05-30 23:13:25 UTC) #9
Donn Denman
Theresa, For some reason my change to CSSelectionController didn't save before the upload, here's a ...
3 weeks, 2 days ago (2017-05-30 23:20:38 UTC) #10
Theresa
lgtm
3 weeks, 1 day ago (2017-05-31 16:34:13 UTC) #11
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2894913003/80001
3 weeks, 1 day ago (2017-05-31 17:18:53 UTC) #13
commit-bot: I haz the power
Try jobs failed on following builders: android_clang_dbg_recipe on master.tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/android_clang_dbg_recipe/builds/280613) android_compile_dbg on master.tryserver.chromium.android (JOB_FAILED, ...
3 weeks, 1 day ago (2017-05-31 17:25:41 UTC) #15
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2894913003/100001
3 weeks, 1 day ago (2017-05-31 17:45:43 UTC) #18
commit-bot: I haz the power
Try jobs failed on following builders: cast_shell_linux on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/cast_shell_linux/builds/379775) chromium_presubmit on master.tryserver.chromium.linux (JOB_FAILED, ...
3 weeks, 1 day ago (2017-05-31 18:53:20 UTC) #20
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2894913003/100001
3 weeks, 1 day ago (2017-05-31 19:55:24 UTC) #22
commit-bot: I haz the power
3 weeks, 1 day ago (2017-05-31 21:02:05 UTC) #25
Message was sent while issue was closed.
Committed patchset #6 (id:100001) as
https://chromium.googlesource.com/chromium/src/+/0a8618b26560b57be00a6d18e0af...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cb946e318